package com.example.smartlab

import android.content.Intent
import android.os.Bundle
import android.os.Handler
import android.os.Looper
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        Handler(Looper.getMainLooper()).postDelayed({
            val isFirstRun = getSharedPreferences("PREFERENCE", MODE_PRIVATE)
                .getBoolean("isFirstRun", true)
            if (isFirstRun)
            {
                val intent = Intent(this, first_page_first_run::class.java)
                startActivity(intent)

                getSharedPreferences("PREFERENCE", MODE_PRIVATE).edit()
                    .putBoolean("isFirstRun", false).commit();
            }
            else
            {
                val intent = Intent(this, welcome_screen_activity::class.java)
                startActivity(intent)
            }
        }, 3000)
    }
}