package com.example.smartlab

import android.content.ContentValues
import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import com.example.smartlab.Api.request
import android.os.Bundle
import android.os.CountDownTimer
import android.text.Editable
import android.text.TextWatcher
import android.util.Log
import android.widget.Button
import android.widget.TextView


class verification_from_email_activity : AppCompatActivity() {
    private var timer: CountDownTimer? = null
    lateinit var btn : Button
    lateinit var textView : TextView
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_verification_from_email)
        btn = findViewById<Button>(R.id.btnBack)
        btn.setOnClickListener{
            val intent = Intent(this, pacient_card::class.java)
            startActivity(intent)
        }

        textView = findViewById(R.id.timerText)

        startCountDownTimer(60000)

        val firsttxt = findViewById<TextView>(R.id.first)
        val sectxt = findViewById<TextView>(R.id.second)
        val thirdtxt = findViewById<TextView>(R.id.third)
        val fourthtxt = findViewById<TextView>(R.id.fourth)

        firsttxt.addTextChangedListener(object : TextWatcher {
            override fun onTextChanged(s: CharSequence, start: Int, before: Int, count: Int) {}

            override fun beforeTextChanged(s: CharSequence, start: Int, count: Int, after: Int) {}

            override fun afterTextChanged(s: Editable) {
                if(firsttxt.text.length == 1) {
                    sectxt.requestFocus()
                }
            }
        })

        sectxt.addTextChangedListener(object : TextWatcher {
            override fun onTextChanged(s: CharSequence, start: Int, before: Int, count: Int) {}

            override fun beforeTextChanged(s: CharSequence, start: Int, count: Int, after: Int) {}

            override fun afterTextChanged(s: Editable) {
                if(sectxt.text.length == 1) {
                    thirdtxt.requestFocus()
                }
            }
        })

        thirdtxt.addTextChangedListener(object : TextWatcher {
            override fun onTextChanged(s: CharSequence, start: Int, before: Int, count: Int) {}

            override fun beforeTextChanged(s: CharSequence, start: Int, count: Int, after: Int) {}

            override fun afterTextChanged(s: Editable) {
                if(thirdtxt.text.length == 1) {
                    fourthtxt.requestFocus()
                }
            }
        })


    }

    private fun startCountDownTimer(timeMillis: Long){
        timer = object : CountDownTimer(timeMillis, 1000){
            override fun onTick(timeM: Long) {
                    var timeM = timeM / 1000
                    textView.setText("Отправить код повторно можно\nбудет через " + timeM + " секунд")
                if (timeM <= 6)
                {

                }
            }

            override fun onFinish() {
                    textView.setText("Отправить код ещё раз")
            }
        }
        (timer as CountDownTimer).start()
    }
}